#define Z_MAX               10.0 //domain size in z
#define RHO_MAX             10.0 //domain size in rho
#define NZ                  100   //lattice points in z
#define NRHO                100   //lattice points in rho
#define SIZE                ((NZ)*(NRHO))
#define a_z                 ((Z_MAX)/(NZ))    // lattice spacing in z
#define a_rho               ((RHO_MAX)/(NRHO))// lattice spacing in rho
#define NRJ                  20      // the ring radius in lattice units: R = NR*a_rho
#define NZJ                  20 // position of the ``ring'' 
#define RHO                 1.0   // charge density on the ring; zero => no source
#define M                   10000 // iterations
#define beta                0.0 // Scalar Field self-coupling

#define rho(i)  ( ((i) < 0.0) ? 0.0 : ((i)*a_rho) )
#define sqr(x) (x)*(x)
#define ar2 (sqr( (a_rho) ))
#define az2 (sqr( (a_z) ))
#define inv_ar2 (1.0/(ar2))
#define inv_az2 (1.0/(az2)) 
